Loading...
Searching...
No Matches
Opm::Elasticity::BoundaryGrid::VertexLess Struct Reference

Predicate for sorting vertices. More...

`#include <boundarygrid.hh>`

## Public Member Functions

| VertexLess (int comp)
| Default constructor.
bool | operator() (const Vertex &q1, const Vertex &q2)
| The comparison operator.

## Public Attributes

int | dir
| Compare using this direction, if -1 compare using index values.

## Detailed Description

Predicate for sorting vertices.

## Constructor & Destructor Documentation

## VertexLess()

Opm::Elasticity::BoundaryGrid::VertexLess::VertexLess | ( | int | comp | ) |

inline explicit

Default constructor.

Parameters

  [in] | comp | Direction to use for comparison. -1 to use index

The documentation for this struct was generated from the following file:

- opm/elasticity/boundarygrid.hh